#include "constants.h"

const std::string fontname = "Areal";
const float fontsize = 16.0f;

std::vector<UnitTemplate> g_templates;
std::vector<AttackProp> g_properties;
const float nameFontSize = 25.0f;

bool g_pause= false;
SoundMaster soundMaster;
std::string g_playerName;

const int secondsInMin = 60;

cocos2d::Rect g_gameSize = cocos2d::Rect(50,50,700,450);

cocos2d::Vec2 dir_left(-1,0);
cocos2d::Vec2 dir_right(1,0);
cocos2d::Vec2 dir_up(0,1);
cocos2d::Vec2 dir_down(0,-1);

cocos2d::Vec2 directions[DIRECTION_COUNT] ={
	dir_up,cocos2d::Vec2(1,1),dir_right,
	cocos2d::Vec2(1,-1),dir_down,cocos2d::Vec2(-1,-1),
	dir_left,cocos2d::Vec2(-1,1)
};

int sign(float a)
{
	if (a>0)
		return 1;
	else if (a<0)
		return -1;
	return 0;
}